
Robotics Service Bus - Tasks #245
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
Introduce Participant base class
04/14/2011 01:58 PM - J. Wienke

Status: Resolved Start date: 04/14/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version:
Description

Let Informer and Listener inherit from this class.

Associated revisions
Revision 3d28825f - 04/14/2011 09:32 PM - J. Moringen
Added Participant class in c++/core/src/rsb/Participant.{h,cpp}
refs #245
    -  c++/core/src/rsb/Participant.{h,cpp}: new files; Participant header

  and implementation
    -  c++/core/src/rsb/Informer.h: made Participant a base class of

  Informer
    -  c++/core/src/rsb/Listener.h: similar
    -  c++/core/src/CMakeLists.txt: added c++/core/src/rsb/Participant.{cpp,h}

History
#1 - 04/14/2011 06:44 PM - J. Moringen
- Assignee changed from S. Wrede to J. Moringen

#2 - 04/14/2011 10:11 PM - J. Moringen
- Status changed from New to Resolved

#3 - 04/21/2011 04:47 PM - J. Wienke
- % Done changed from 0 to 100
